# AGPL 3 or any later version
# (C) J.Y.Amihud ( Blender Dumbass )

PluginData = {"author":{
        "title":"Blender Dumbass",
        "url":"https://blenderdumbass.org",
        "avatar":"https://blenderdumbass.org/pictures/favicon.png"
    },
              "title":"Upgrade from Windows",
              "description":'Adds "Activate GNU / Linux" text for requests from Windows.',
              "license":"AGPL-3.0-or-later"}

from modules import Render

def onHTML(server, html):

    # We are adding a little link to tell people
    # to upgrade from Windows

    if "windows" in server.headers.get("User-Agent", "").lower():
    
        html = html + """
        
        </div></div></div></div>

        <a href="https://www.fsf.org/windows/">
        <img src="/pictures/upgrade_from_windows.png" style="
        position: fixed;
        right: 0;
        bottom: 0;
        border-radius:0px;
        height: 150px;
        "></a>


        """

    # Now the same for apple
    
    if "apple_warning" in server.parsed or ("Mac OS" in server.headers.get("User-Agent", "")
                                            and not "iPhone" in server.headers.get("User-Agent", "")):

        html = html + """
        
        </div></div></div></div>
        

        <a href="https://www.gnu.org/proprietary/malware-apple.html">
        <img src="/pictures/apple_warning_bottom.png" style="
        position: fixed;
        right: 0;
        bottom: 0px;
        border-radius:0px;
        width: 400px;
        min-width: 400px;
        "></a>
        
        <a href="https://puri.sm/products/">
        <img src="/pictures/apple_warning_middle.png" style="
        position: fixed;
        right: 0;
        bottom: 99px;
        border-radius:0px;
        width: 400px;
        min-width: 400px;
        "></a>

        
        <img src="/pictures/apple_warning_top.png" style="
        position: fixed;
        right: 0;
        bottom: 146px;
        border-radius:0px;
        width: 400px;
        min-width: 400px;
        ">
        
        


        """
        
    elif "iPhone" in server.headers.get("User-Agent"):

        if not server.parsed:
            url = server.path+"?apple_warning=True"
        else:
            url = server.path+"&apple_warning=True"
        
        html = html + """
        
        </div></div></div></div>
        

        <div style="
        position: fixed;
        right: 0;
        bottom: 0;        
        ">

        """+Render.Button("iWarning!", url, "bug")+"""
        
        </div>
        
        """
    
    return html
